package com.yem.wm.bc.change.common.consts;

import kd.bos.bundle.MultiLangEnumBridge;
import kd.bos.dataentity.resource.ResManager;

public enum ChangeTypeEnum {
    ADDNEW(new MultiLangEnumBridge(ResManager.loadKDString("新增", "ChangeTypeEnum_0", "yem-yc-changemodel", new Object[0]), "ChangeTypeEnum_0", "yem-yc-changemodel", new Object[0]), "A"),
    UPDATE(new MultiLangEnumBridge(ResManager.loadKDString("修改", "ChangeTypeEnum_1", "yem-yc-changemodel", new Object[0]), "ChangeTypeEnum_1", "yem-yc-changemodel", new Object[0]), "B"),
    CANCEL(new MultiLangEnumBridge(ResManager.loadKDString("取消", "ChangeTypeEnum_2", "yem-yc-changemodel", new Object[0]), "ChangeTypeEnum_2", "yem-yc-changemodel", new Object[0]), "C");

    private MultiLangEnumBridge bridge = null;
    private String value;

    private ChangeTypeEnum(MultiLangEnumBridge bridge, String value) {
        this.bridge = bridge;
        this.value = value;
    }

    public String getName() {
        return this.bridge.loadKDString();
    }

    public String getValue() {
        return this.value;
    }

    public static String getName(String value) {
        String name = null;
        ChangeTypeEnum[] var2 = values();
        int var3 = var2.length;

        for(int var4 = 0; var4 < var3; ++var4) {
            ChangeTypeEnum type = var2[var4];
            if (type.getValue().equals(value)) {
                name = type.getName();
                break;
            }
        }

        return name;
    }
}
